summaryrefslogtreecommitdiff
path: root/git.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'git.zsh')
-rw-r--r--git.zsh7
1 files changed, 3 insertions, 4 deletions
diff --git a/git.zsh b/git.zsh
index 1b458762d..b8fd1f08e 100644
--- a/git.zsh
+++ b/git.zsh
@@ -1,10 +1,9 @@
# get the name of the branch we are on
function git_prompt_info() {
- ref=$(git symbolic-ref HEAD 2> /dev/null) || return
- branch=${ref#refs/heads/}
-
if [[ -d .git ]]; then
- CURRENT_BRANCH="(%{$fg[red]%}${branch}%{$reset_color%})$(parse_git_dirty)"
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+ branch=${ref#refs/heads/}
+ CURRENT_BRANCH="git:(%{$fg[red]%}${branch}%{$fg[blue]%})%{$reset_color%}$(parse_git_dirty)"
else
CURRENT_BRANCH=''
fi